[26106] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r25392 - trunk/debathena/config/cupsys-config/debian

daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Wed Aug 31 12:15:53 2011

Date: Wed, 31 Aug 2011 12:15:46 -0400
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201108311615.p7VGFkb4000346@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: jdreed
Date: 2011-08-31 12:15:46 -0400 (Wed, 31 Aug 2011)
New Revision: 25392

Modified:
   trunk/debathena/config/cupsys-config/debian/configure-athena-printers
Log:
Remove the for loops and tweak the B&W description

Modified: trunk/debathena/config/cupsys-config/debian/configure-athena-printers
===================================================================
--- trunk/debathena/config/cupsys-config/debian/configure-athena-printers	2011-08-31 16:06:58 UTC (rev 25391)
+++ trunk/debathena/config/cupsys-config/debian/configure-athena-printers	2011-08-31 16:15:46 UTC (rev 25392)
@@ -1,39 +1,33 @@
 #!/bin/sh
 
-PHAROS_BW_PRINTERS="mitprint"
-PHAROS_COLOR_PRINTERS="mitprint-color"
 ATHENA_PRINTERS=
 DEFAULT_PRINTER="mitprint"
 PRLIST="/var/lib/debathena-cupsys-config.added_printers"
 
 add_printers() {
     rm -f $PRLIST
-    for p in $PHAROS_BW_PRINTERS; do
-	lpadmin -p $p -E -v lpd://mitprint.mit.edu/bw \
-	        -D "Pharos (Monochrome)" \
-	        -L "Release jobs from any Pharos printer" \
-	        -o printer-is-share=false \
-	        -m drv:///hpijs.drv/hp-laserjet_9050-hpijs-pcl3.ppd
-	if [ $? != 0 ]; then
-	    echo "FAILED to add Pharos printer $p"
-	else
-	    echo "Added Pharos printer $p"
-	    echo "$p" >> $PRLIST
-	fi
-    done
-    for p in $PHAROS_COLOR_PRINTERS; do
-	lpadmin -p $p -E -v lpd://mitprint.mit.edu/color \
-	        -D "Pharos (Color)" \
-	        -L "Release jobs from any Pharos Color printer" \
-	        -o printer-is-share=false \
-	        -m drv:///hpijs.drv/hp-color_laserjet_cp3525-hpijs-pcl3.ppd
-	if [ $? != 0 ]; then
-	    echo "FAILED to add Pharos printer $p"
-	else
-	    echo "Added Pharos printer $p"
-	    echo "$p" >> $PRLIST
-	fi
-    done
+    lpadmin -p mitprint -E -v lpd://mitprint.mit.edu/bw \
+	-D "Pharos (Monochrome)" \
+	-L "Release jobs from any Pharos B&W printer" \
+	-o printer-is-share=false \
+	-m drv:///hpijs.drv/hp-laserjet_9050-hpijs-pcl3.ppd
+    if [ $? != 0 ]; then
+	echo "FAILED to add Pharos printer $p"
+    else
+	echo "Added Pharos printer $p"
+	echo "$p" >> $PRLIST
+    fi
+    lpadmin -p mitprint-color -E -v lpd://mitprint.mit.edu/color \
+	-D "Pharos (Color)" \
+	-L "Release jobs from any Pharos Color printer" \
+	-o printer-is-share=false \
+	-m drv:///hpijs.drv/hp-color_laserjet_cp3525-hpijs-pcl3.ppd
+    if [ $? != 0 ]; then
+	echo "FAILED to add Pharos printer $p"
+    else
+	echo "Added Pharos printer $p"
+	echo "$p" >> $PRLIST
+    fi
     for a in $ATHENA_PRINTERS; do
         # Don't clobber queue, this is -cluster
 	if add-athena-printer $a; then


home help back first fref pref prev next nref lref last post